<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Foundation</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template">
    <div class="wrapper">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper">

        <ul class="vertical menu">
          <li class="menu-text">
            <h1 class="h4 margin-bottom-0">Time tracker</h1>
          </li>
          <li class="menu-text">
            {% assign activeUser = users | where: "id", options.activeUser | first %}
            <span class="h5 margin-bottom-0">{{ activeUser.name }}</span>
          </li>
          <li> 
            <a href="index.html">
              <i class="fas fa-tachometer-alt"></i>
              Dashboard
            </a>
          </li>
          <li>
            <a href="time.html">
              <i class="far fa-clock"></i>
              Time tracking
            </a>
          </li>
          <li>
            <a href="projects.html">
              <i class="fas fa-project-diagram"></i>
              Projects
            </a>
          </li>
          <li>
            <a href="clients.html">
              <i class="fas fa-star"></i>
              Clients
            </a>
          </li>
          <li>
            <a href="teams.html">
              <i class="fas fa-users-cog"></i>
              Teams
            </a>
          </li>
          <li class="is-active">
            <a href="users.html">
              <i class="fas fa-users"></i>
              Users
            </a>
          </li>
          <li>
            <a href="settings.html">
              <i class="fas fa-cogs"></i>
              Settings
            </a>
          </li>
        </ul>

      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">

        <div class="top-bar">
          <div class="top-bar-left">
            <ul class="menu">
              <li>
                <a href="#" class="button secondary" id="js-open-nav">
                  <i class="fas fa-bars"></i>
                  <span>Menu</span>
                </a>
              </li>
            </ul>
          </div>
          <div class="top-bar-right">
            <ul class="menu">
              <li><button type="button" class="button"id="js-logout">Log out</button></li>
            </ul>
          </div>
        </div>
  
        <!-- START Content -->
        <div class="grid-container">

          <div class="flex-container align-middle margin-top-1">
            <h2 class="h2 flex-child-grow">Users</h2>
            <div>
              <a href="../index.html" class="hollow button secondary small">Change framework</a>
              <button class="hollow button secondary small" id="js-load-data">Reset data</button>
            </div>
          </div>

          <h3>All users</h3>
    
          <div class="grid-x grid-padding-x grid-padding-y">

            {% for user in users %}
            <div class="cell small-12 medium-6 large-3">
              <div class="card margin-bottom-0">
                <img class="card-img-top" src="https://via.placeholder.com/300x200" data-holder-rendered="true" style="width: 100%; display: block;">
                <div class="card-section">
                  <h4>{{ user.name }}</h4>
                  <p>Username: {{ user.username }}</p>
                </div>
                <div class="card-divider">
                  {% assign role = roles | where: "id", user.roleId %}
                  {{ role.first.name }}
                </div>
              </div>
            </div>
            {% endfor %}

            
          </div>

          <div>
            <button type="button" class="button" data-open="modal1"><i class="fas fa-plus"></i> Add user</button>
          </div>

        </div>
        <!-- END Content -->


      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->

    <!-- START Modal -->
    <div class="small reveal" id="modal1" data-reveal data-reset-on-close="true">
      <h3>New user</h3>
      <form id="js-add-user">

        <label>Name
          <input type="text" placeholder="First name" name="name" required>
        </label>
        <label>Username
          <input type="text" placeholder="Username"  name="username" required>
        </label>
        <label>Role
          <select name="roleId" required>
            <option value="" disabled selected hidden>Select role</option>
            {% for role in roles %}
            <option value="{{ role.id }}">{{ role.name }}</option>
            {% endfor %}
          </select>
        </label>

        <button type="submit" class="button">Add</button>
      </form>

      <button class="close-button" data-close aria-label="Close modal" type="button">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <!-- END Modal -->

  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>